<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
	xmlns:android="http://schemas.android.com/apk/res/android"
	android:layout_width="match_parent"
	android:layout_height="match_parent"
	android:orientation="vertical">

	<TextView
		android:layout_width="match_parent"
		android:layout_height="wrap_content"
		android:padding="8dp"
		android:text="MIDI文件列表"
		android:background="@android:color/darker_gray"/>

	<ListView
		android:id="@+id/lv_midi_files"
		android:layout_width="match_parent"
		android:layout_height="0dp"
		android:layout_weight="1"/>

	<TextView
		android:id="@+id/tv_file_name"
		android:layout_width="match_parent"
		android:layout_height="wrap_content"
		android:padding="8dp"
		android:text="未选择文件"
		android:background="@android:color/holo_blue_light"/>

	<TextView
		android:layout_width="match_parent"
		android:layout_height="wrap_content"
		android:padding="8dp"
		android:text="轨道控制"
		android:background="@android:color/darker_gray"/>

	<ListView
		android:id="@+id/lv_tracks"
		android:layout_width="match_parent"
		android:layout_height="0dp"
		android:layout_weight="1"/>

	<LinearLayout
		android:layout_width="match_parent"
		android:layout_height="wrap_content"
		android:gravity="center"
		android:padding="16dp"
		android:orientation="horizontal">

		<Button
			android:id="@+id/btn_play"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:text="播放"/>

		<Button
			android:id="@+id/btn_pause"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:text="暂停"/>

		<Button
			android:id="@+id/btn_stop"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:text="停止"/>

	</LinearLayout>
	<LinearLayout
		android:layout_width="match_parent"
		android:layout_height="wrap_content"
		android:gravity="center"
		android:padding="16dp"
		android:orientation="horizontal">
		
		<Button
			android:id="@+id/btn_test"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:text="测试音符"
			android:layout_below="@id/btn_stop"/>

		<Button
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:text="Log"
			android:onClick="onLog"/>

	</LinearLayout>

</LinearLayout>

